<?php
/**
* @copyright (C) 2011 PBLF
* @package Joomla!
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.plugin.plugin');
/**
 * @package		Joomla
 */

// JError::raiseWarning( 123, JText::_('COMPONENT NOT FOUND'));

class plgContentComentario extends JPlugin {
	/**
	 * on load content function
	 *
	 * @return boolean True on sucess
	 * @param $row Object
	 * @param $params Object
	 * @param $page Object[optional]
	 */
	function onContentPrepare($context, &$article, &$params, $limitstart){

        //JError::raiseWarning( 123, JText::_('entre onContentPrepare'));

		//Regular Expression
		$reemplazo = '/{(comentarios)\s*(.*?)}/i';

        //recupero los parametros del lado del administrador
        $edit_title = $this->params->get('edit_title','');
        $edit_author = $this->params->get('edit_author','');
        $edit_email = $this->params->get('edit_email','');
        $edit_url = $this->params->get('edit_url','');
        $edit_valoracion = $this->params->get('edit_valoracion','');

        //obtengo cuantos comentarios de este articulo se hicieron
        $db =& JFactory::getDBO();
        $query = 'SELECT count(*) FROM #__comentarios WHERE id_articulo = '.$article->id.' AND estado = 0';
        $db->setQuery($query);
        $cantcoment = $db->loadResult();

        //obtengo los comentarios de este articulo y los listo
        // $db =& JFactory::getDBO();
        $query = 'SELECT * FROM #__comentarios WHERE id_articulo = '.$article->id.' AND estado = 0';
        $db->setQuery($query);
        $arts = $db->loadObjectList();

        if ($arts){
        $cuerpo = "<style>
        div.cuerpo_comentario{
            text-shadow: 0px 1px 0px #fff;
        	outline: none;
        	-webkit-border-radius: 12px;
        	-moz-border-radius: 12px;
        	border-radius: 12px;
        	border: 1px solid #717171;
            padding: 0 12px 15px 12px;
            margin-bottom:10px;
            background:#FFFFDD;
        }
        span.titulo_comentario{
          color:#3C452D;
          font: bold 1em Verdana,Arial,Sans-Serif;
          margin:0;
          padding:0;
        }
        span.fecha_comentario{
          color: #999999;
          font-size: 10px;
          margin: 0;
          padding: 0 0 0 12px;
        }
        span.usuario_comentario{
          color:#3C452D;
          font: bold 1em Verdana,Arial,Sans-Serif;
          margin:0;
          padding:0;
        }
        span.mail_comentario{
          color: #999999;
          font-size: 12px;
          margin: 0;
          padding: 0 0 0 12px;
        }
        span.web_comentario{
          color: #999999;
          font-size: 12px;
          margin: 0;
          padding: 0 0 0 12px;
        }
        span.mensaje_comentario{
          border-collapse: separate;
          color: #000000;
          font-style: normal;
          font-variant: normal;
          font-weight: normal;
          letter-spacing: normal;
          orphans: 2;
          text-indent: 0px;
          text-transform: none;
          white-space: normal;
          widows: 2;
          word-spacing: 0px;
          font-size: medium;
          font-family: Arial,Helvetica,sans;
          font-size: 11px;
          line-height: 14px;
          text-align: justify;
        }
        </style>";
        $cuerpo .= "</br><h1><span class=\"titulo_listacomentario\">Comentarios</span>";
        $cuerpo .= "<span style=\"font-family: Arial,Helvetica,sans;font-size: 11px;float: right;color:#999999;\"><strong>Cantidad de comentarios&nbsp;<span style=\"font-family: Arial,Helvetica,sans;font-size: 12px;float: right;color:#555555;\">{$cantcoment}</strong></span></span></h1>";
        }

        foreach($arts as $art) {
              //cuerpo que mas adelante reemplazo por el tag
              $cuerpo .= "<div class=\"cuerpo_comentario\">";
              //$cuerpo .= "<h3>articulo nro ".$article->id."</h3>";
              $cuerpo .= "<h3></h3>";

              //agrego lo que este prendido al cuerpo
              if ($edit_title==1){
               $cuerpo .= "<span class=\"usuario_comentario\"># ".$art->autor."</span>";
               $cuerpo .= "<span class=\"fecha_comentario\">".$art->add_date."</span>";
              }
              if ($edit_author==1 and $art->titulo!=""){
               $cuerpo .= "</br><span class=\"titulo_comentario\">- ".$art->titulo."</span>";
              }else{
                $cuerpo .= "</br>";
              }
              if ($edit_email==1 and $art->mail!="" ){
               $cuerpo .= "<span class=\"mail_comentario\"> * ".$art->mail."</span>";
              }
              if ($edit_url==1 and $art->web!=""){
               $cuerpo .= "<span class=\"web_comentario\"> * ".$art->web."</span>";
              }
              if ($edit_valoracion==1 and $art->valoracion!=0 ){
               $cuerpo .= "<span> * Valoracion ".$art->valoracion."</span></br></br>";
              }else{
               $cuerpo .= "</br></br>";
              }
              $cuerpo .= "<span class=\"mensaje_comentario\">
                          ".$art->comentario."
                          </span>";
              $cuerpo .= "</div>";
        }
        if ($arts){
         $cuerpo .= "<span style=\"font-family: Arial,Helvetica,sans;font-size: 10px;color:#999999;\">pblf - www.pblf.com.ar</span>";
         }
		// reemplazo el tags por el modulo mod_comentario
        $module="mod_comentario";
        $module_style = 1;
	    $module_output = $this->load_module($module, $module_class, $module_style);
	    $article->text = preg_replace($reemplazo, $cuerpo.$module_output, $article->text, 1);

        //$article->text .= preg_replace($reemplazo, $cuerpo, $article->text, 1);
        return;
   }





	protected function load_module($module="mod_comentario", $module_class, $module_style){

		$document = &JFactory::getDocument();
		$renderer = $document->loadRenderer('module');

		$contents = '';

		//get module as an object
		$database = JFactory::getDBO();
		$database->setQuery("SELECT * FROM #__modules WHERE module='$module'");
		$modules = $database->loadObjectList();
		$module = $modules[0];

		//just to get rid of that stupid php warning
		$module->user = '';

		$params = array('style'=>$module_style);

		$contents = $renderer->render($module, $params);

		return $contents;
	}

}